$(function () {

$('#scores-table').dataTable({
          "bAutoWidth": true,
          "lengthMenu": [[ 10, 25, 50, 75, -1], [10, 25, 50, 75, "All"]],
          "pageLength": 9,
          "order": [ 3, 'desc' ]
        });

var scores = new Morris.Bar({
    element: 'scores-chart',
    resize: true,
    data: scores_data,
    barColors: ['#efefef'],
    xkey: 'y',
    ykeys: ['sc'],
    labels: ['Score'],
    hideHover: 'auto',
    hoverCallback: function(index, options, content){
        return(content + "\n" + scores_names_data[index]);
    },
    gridTextColor: "#fff",
    gridStrokeWidth: 0.4,
    pointSize: 4,
    pointStrokeColors: ["#efefef"],
    gridLineColor: "#efefef",
    gridTextFamily: "Open Sans",
    gridTextSize: 10
  });

});